<?php
use Incoviba\Model\Inmobiliaria\Proveedor;
use PHPUnit\Framework\TestCase;

class ProveedorTest extends TestCase
{
    public function testCreate()
    {
        $proveedor = new Proveedor();
        $this->assertInstanceOf(Proveedor::class, $proveedor);
    }
    public function testProperties()
    {
        $proveedor = new Proveedor();

        $this->assertObjectHasProperty('rut', $proveedor);
        $this->assertObjectHasProperty('digito', $proveedor);
        $this->assertObjectHasProperty('nombre', $proveedor);
        $this->assertObjectHasProperty('razon', $proveedor);
        $this->assertObjectHasProperty('contacto', $proveedor);
    }
}
